> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.pinnacle.sh/v-2/api-reference/contacts/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pinnacle.sh/_mcp/server. # Update Contact PUT https://api.pinnacle.sh/contacts Content-Type: application/json Update an existing contact. Reference: https://docs.pinnacle.sh/api-reference/contacts/update ## Authentication - `PINNACLE-API-KEY` header (required) — API Key authentication via header ## Request ### Body (application/json) This endpoint expects an UpdateContactRequest. - `id` (string, required) — ID of the contact you want to update. This identifier is a string that always begins with the prefix `co_`, for example: `co_1234567890`. - `description` (string, optional, nullable) — New notes or details for your contact. - `email` (string, optional, nullable) — New email address for your contact. - `name` (string, optional, nullable) — New name for your contact. - `tags` (list of string, optional) — New tags for your contact. ## Response ### 200 Successfully updated the contact. - `id` (string, required) — Unique ID of the updated contact. This identifier is a string that always begins with the prefix `co_`, for example: `co_1234567890`. ## Errors ### 400 Bad Request Error Validation failed. The payload has missing required fields and/or invalid types. See [https://zod.dev/error-formatting](https://zod.dev/error-formatting) for more information. - `description` (string, required) — Human-readable summary of validation failures. - `errors` (ZodErrorErrors, required) — Structured dictionary of issues containing two main sections: - `errors`: Array of global validation errors not tied to specific fields - `properties`: Object mapping field names to their specific validation errors, where each field contains an `errors` array ### 401 Unauthorized Error The request lacks valid authentication credentials or the provided credentials are invalid. Ensure you're including a valid API key in the request headers and that your account has the necessary permissions to access this endpoint. - `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code. ### 403 Forbidden Error Your subscription does not include access to this feature. This occurs when attempting to use functionality that requires a higher subscription tier. Please upgrade your subscription to access this feature. - `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code. ### 404 Not Found Error The requested resource could not be found. This may occur if the identifier is incorrect, the resource has been deleted, or you don't have permission to access it. - `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code. ### 500 Internal Server Error An unexpected error occurred on Pinnacle's servers while processing your request. If this error persists, please contact support with the request details. - `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code. ## Types ### ZodErrorErrors Structured dictionary of issues containing two main sections: - `errors`: Array of global validation errors not tied to specific fields - `properties`: Object mapping field names to their specific validation errors, where each field contains an `errors` array ## Examples **Request** ```json { "id": "co_1234567890", "description": "Retired", "email": "alvaroopedtech@pinnacle.sh", "name": "Retired Bestie", "tags": [ "friend" ] } ``` **Response** ```json { "id": "co_1234567890" } ``` **SDK Code** ```python Contact Updated import requests url = "https://api.pinnacle.sh/contacts" payload = { "id": "co_1234567890", "description": "Retired", "email": "alvaroopedtech@pinnacle.sh", "name": "Retired Bestie", "tags": ["friend"] } headers = { "PINNACLE-API-KEY": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Contact Updated const url = 'https://api.pinnacle.sh/contacts'; const options = { method: 'PUT', headers: {'PINNACLE-API-KEY': '', 'Content-Type': 'application/json'}, body: '{"id":"co_1234567890","description":"Retired","email":"alvaroopedtech@pinnacle.sh","name":"Retired Bestie","tags":["friend"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Contact Updated package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.pinnacle.sh/contacts" payload := strings.NewReader("{\n \"id\": \"co_1234567890\",\n \"description\": \"Retired\",\n \"email\": \"alvaroopedtech@pinnacle.sh\",\n \"name\": \"Retired Bestie\",\n \"tags\": [\n \"friend\"\n ]\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("PINNACLE-API-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Contact Updated require 'uri' require 'net/http' url = URI("https://api.pinnacle.sh/contacts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["PINNACLE-API-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"id\": \"co_1234567890\",\n \"description\": \"Retired\",\n \"email\": \"alvaroopedtech@pinnacle.sh\",\n \"name\": \"Retired Bestie\",\n \"tags\": [\n \"friend\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java Contact Updated import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.pinnacle.sh/contacts") .header("PINNACLE-API-KEY", "") .header("Content-Type", "application/json") .body("{\n \"id\": \"co_1234567890\",\n \"description\": \"Retired\",\n \"email\": \"alvaroopedtech@pinnacle.sh\",\n \"name\": \"Retired Bestie\",\n \"tags\": [\n \"friend\"\n ]\n}") .asString(); ``` ```php Contact Updated request('PUT', 'https://api.pinnacle.sh/contacts', [ 'body' => '{ "id": "co_1234567890", "description": "Retired", "email": "alvaroopedtech@pinnacle.sh", "name": "Retired Bestie", "tags": [ "friend" ] }', 'headers' => [ 'Content-Type' => 'application/json', 'PINNACLE-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp Contact Updated using RestSharp; var client = new RestClient("https://api.pinnacle.sh/contacts"); var request = new RestRequest(Method.PUT); request.AddHeader("PINNACLE-API-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"id\": \"co_1234567890\",\n \"description\": \"Retired\",\n \"email\": \"alvaroopedtech@pinnacle.sh\",\n \"name\": \"Retired Bestie\",\n \"tags\": [\n \"friend\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Contact Updated import Foundation let headers = [ "PINNACLE-API-KEY": "", "Content-Type": "application/json" ] let parameters = [ "id": "co_1234567890", "description": "Retired", "email": "alvaroopedtech@pinnacle.sh", "name": "Retired Bestie", "tags": ["friend"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.pinnacle.sh/contacts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > One API for RCS, iMessage, MMS, and SMS. Build, test, and scale every channel — send your first message in minutes, not weeks.